package cn.van.business.model.jd;

/**
 * @author Leo
 * @version 1.0
 * @create 2024/11/6 10:52
 * @description：
 */

import jakarta.persistence.*;

import java.util.Date;

@Entity
@Table(name = "order_rows")
public class OrderRow {
    @Id
    @Column(name = "id")
    private String id;

    @Column(name = "order_id")
    private Long orderId;

    @Column(name = "parent_id")
    private Long parentId;

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "order_time")
    private Date orderTime;

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "finish_time")
    /**完成时间（购买用户确认收货时间）,格式yyyy-MM-dd HH:mm:ss*/
    private Date finishTime;

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "modify_time")
    private Date modifyTime;

    @Column(name = "order_emt")
    private Integer orderEmt;

    @Column(name = "plus")
    private Integer plus;

    @Column(name = "union_id")
    private Long unionId;

    @Column(name = "sku_id")
    private Long skuId;

    @Column(name = "sku_name")
    /**
     * 商品名称
     * */
    private String skuName;

    @Column(name = "sku_num")
    /**
     *
     * 商品数量*/
    private Integer skuNum;

    @Column(name = "sku_return_num")
    /**
     *
     * 商品已退货数量*/
    private Integer skuReturnNum;

    @Column(name = "sku_frozen_num")
    private Integer skuFrozenNum;

    @Column(name = "price")
    private Double price;

    @Column(name = "commission_rate")
    /**佣金比例(投放的广告主计划比例)*/
    private Double commissionRate;

    @Column(name = "sub_side_rate")
    private Double subSideRate;

    @Column(name = "subsidy_rate")
    private Double subsidyRate;

    @Column(name = "final_rate")
    private Double finalRate;

    @Column(name = "estimate_cos_price")
    private Double estimateCosPrice;

    @Column(name = "estimate_fee")
    private Double estimateFee;

    @Column(name = "actual_cos_price")
    private Double actualCosPrice;

    @Column(name = "actual_fee")
    private Double actualFee;

    @Column(name = "valid_code")
    private Integer validCode;

    @Column(name = "trace_type")
    private Integer traceType;

    @Column(name = "position_id")
    private Long positionId;

    @Column(name = "site_id")
    private Long siteId;

    @Column(name = "union_alias")
    private String unionAlias;

    @Column(name = "pid")
    private String pid;

    @Column(name = "cid1")
    private Long cid1;

    @Column(name = "cid2")
    private Long cid2;

    @Column(name = "cid3")
    private Long cid3;

    @Column(name = "sub_union_id")
    private String subUnionId;

    @Column(name = "union_tag")
    private String unionTag;

    @Column(name = "pop_id")
    private Long popId;

    @Column(name = "ext1")
    private String ext1;

    @Column(name = "pay_month")
    private String payMonth;

    @Column(name = "cp_act_id")
    private Long cpActId;

    @Column(name = "union_role")
    private Integer unionRole;

    @Column(name = "gift_coupon_ocs_amount")
    private Double giftCouponOcsAmount;

    @Column(name = "gift_coupon_key")
    private String giftCouponKey;

    @Column(name = "balance_ext")
    private String balanceExt;

    @Column(name = "sign")
    private String sign;

    @Column(name = "pro_price_amount")
    private Double proPriceAmount;

    @Column(name = "rid")
    private Long rid;

    //@OneToOne(cascade = CascadeType.ALL)
    //@JoinColumn(name = "goods_info_id", referencedColumnName = "id")
    //private GoodsInfoVO goodsInfo;


    @Column(name = "express_status")
    private Integer expressStatus;

    @Column(name = "channel_id")
    private Long channelId;

    @Column(name = "sku_tag")
    private String skuTag;

    @Column(name = "item_id")
    private String itemId;

    @Column(name = "caller_item_id")
    private String callerItemId;

    @Column(name = "order_tag")
    private String orderTag;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Date getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(Date orderTime) {
        this.orderTime = orderTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getOrderEmt() {
        return orderEmt;
    }

    public void setOrderEmt(Integer orderEmt) {
        this.orderEmt = orderEmt;
    }

    public Integer getPlus() {
        return plus;
    }

    public void setPlus(Integer plus) {
        this.plus = plus;
    }

    public Long getUnionId() {
        return unionId;
    }

    public void setUnionId(Long unionId) {
        this.unionId = unionId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public Integer getSkuNum() {
        return skuNum;
    }

    public void setSkuNum(Integer skuNum) {
        this.skuNum = skuNum;
    }

    public Integer getSkuReturnNum() {
        return skuReturnNum;
    }

    public void setSkuReturnNum(Integer skuReturnNum) {
        this.skuReturnNum = skuReturnNum;
    }

    public Integer getSkuFrozenNum() {
        return skuFrozenNum;
    }

    public void setSkuFrozenNum(Integer skuFrozenNum) {
        this.skuFrozenNum = skuFrozenNum;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public Double getCommissionRate() {
        return commissionRate;
    }

    public void setCommissionRate(Double commissionRate) {
        this.commissionRate = commissionRate;
    }

    public Double getSubSideRate() {
        return subSideRate;
    }

    public void setSubSideRate(Double subSideRate) {
        this.subSideRate = subSideRate;
    }

    public Double getSubsidyRate() {
        return subsidyRate;
    }

    public void setSubsidyRate(Double subsidyRate) {
        this.subsidyRate = subsidyRate;
    }

    public Double getFinalRate() {
        return finalRate;
    }

    public void setFinalRate(Double finalRate) {
        this.finalRate = finalRate;
    }

    public Double getEstimateCosPrice() {
        return estimateCosPrice;
    }

    public void setEstimateCosPrice(Double estimateCosPrice) {
        this.estimateCosPrice = estimateCosPrice;
    }

    public Double getEstimateFee() {
        return estimateFee;
    }

    public void setEstimateFee(Double estimateFee) {
        this.estimateFee = estimateFee;
    }

    public Double getActualCosPrice() {
        return actualCosPrice;
    }

    public void setActualCosPrice(Double actualCosPrice) {
        this.actualCosPrice = actualCosPrice;
    }

    public Double getActualFee() {
        return actualFee;
    }

    public void setActualFee(Double actualFee) {
        this.actualFee = actualFee;
    }

    public Integer getValidCode() {
        return validCode;
    }

    public void setValidCode(Integer validCode) {
        this.validCode = validCode;
    }

    public Integer getTraceType() {
        return traceType;
    }

    public void setTraceType(Integer traceType) {
        this.traceType = traceType;
    }

    public Long getPositionId() {
        return positionId;
    }

    public void setPositionId(Long positionId) {
        this.positionId = positionId;
    }

    public Long getSiteId() {
        return siteId;
    }

    public void setSiteId(Long siteId) {
        this.siteId = siteId;
    }

    public String getUnionAlias() {
        return unionAlias;
    }

    public void setUnionAlias(String unionAlias) {
        this.unionAlias = unionAlias;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public Long getCid1() {
        return cid1;
    }

    public void setCid1(Long cid1) {
        this.cid1 = cid1;
    }

    public Long getCid2() {
        return cid2;
    }

    public void setCid2(Long cid2) {
        this.cid2 = cid2;
    }

    public Long getCid3() {
        return cid3;
    }

    public void setCid3(Long cid3) {
        this.cid3 = cid3;
    }

    public String getSubUnionId() {
        return subUnionId;
    }

    public void setSubUnionId(String subUnionId) {
        this.subUnionId = subUnionId;
    }

    public String getUnionTag() {
        return unionTag;
    }

    public void setUnionTag(String unionTag) {
        this.unionTag = unionTag;
    }

    public Long getPopId() {
        return popId;
    }

    public void setPopId(Long popId) {
        this.popId = popId;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getPayMonth() {
        return payMonth;
    }

    public void setPayMonth(String payMonth) {
        this.payMonth = payMonth;
    }

    public Long getCpActId() {
        return cpActId;
    }

    public void setCpActId(Long cpActId) {
        this.cpActId = cpActId;
    }

    public Integer getUnionRole() {
        return unionRole;
    }

    public void setUnionRole(Integer unionRole) {
        this.unionRole = unionRole;
    }

    public Double getGiftCouponOcsAmount() {
        return giftCouponOcsAmount;
    }

    public void setGiftCouponOcsAmount(Double giftCouponOcsAmount) {
        this.giftCouponOcsAmount = giftCouponOcsAmount;
    }

    public String getGiftCouponKey() {
        return giftCouponKey;
    }

    public void setGiftCouponKey(String giftCouponKey) {
        this.giftCouponKey = giftCouponKey;
    }

    public String getBalanceExt() {
        return balanceExt;
    }

    public void setBalanceExt(String balanceExt) {
        this.balanceExt = balanceExt;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public Double getProPriceAmount() {
        return proPriceAmount;
    }

    public void setProPriceAmount(Double proPriceAmount) {
        this.proPriceAmount = proPriceAmount;
    }

    public Long getRid() {
        return rid;
    }

    public void setRid(Long rid) {
        this.rid = rid;
    }

    //public GoodsInfoVO getGoodsInfo() {
    //    return goodsInfo;
    //}
    //
    //public void setGoodsInfo(GoodsInfoVO goodsInfo) {
    //    this.goodsInfo = goodsInfo;
    //}

    public Integer getExpressStatus() {
        return expressStatus;
    }

    public void setExpressStatus(Integer expressStatus) {
        this.expressStatus = expressStatus;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public String getSkuTag() {
        return skuTag;
    }

    public void setSkuTag(String skuTag) {
        this.skuTag = skuTag;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getCallerItemId() {
        return callerItemId;
    }

    public void setCallerItemId(String callerItemId) {
        this.callerItemId = callerItemId;
    }

    public String getOrderTag() {
        return orderTag;
    }

    public void setOrderTag(String orderTag) {
        this.orderTag = orderTag;
    }
}
